Bug 1256661 - (CVE-2015-5278) CVE-2015-5278 qemu: Infinite loop in ne2000_receive() function
CVE-2015-5278 qemu: Infinite loop in ne2000_receive() function
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150915,repor...
: Security
Depends On: 1263281 1263284
Blocks: 1256665
  Show dependency treegraph
 
Reported: 2015-08-25 04:24 EDT by Adam Mariš
Modified: 2016-04-26 11:50 EDT (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found where a QEMU emulator built with NE2000 NIC emulation support was vulnerable to an infinite loop issue that occurred when receiving packets over the network. A privileged user inside a guest could use this flaw to crash the QEMU instance, resulting in a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 13:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash report (72.34 KB, image/jpeg)
2015-08-25 04:27 EDT, Adam Mariš
no flags Details

  None (edit)
Description Adam Mariš 2015-08-25 04:24:32 EDT
Qemu emulator built with the NE2000 NIC emulation support is vulnerable to an infinite loop issue. It could occur when receiving packets over the network.

A privileged user inside guest could use this flaw to crash the Qemu instance resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-09/msg03985.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/09/15/2
Comment 1 Adam Mariš 2015-08-25 04:27:07 EDT
Created attachment 1066776 [details]
Crash report
Comment 3 Prasad J Pandit 2015-09-15 08:13:57 EDT
Statement: 

This issue affects the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.
Comment 4 Prasad J Pandit 2015-09-15 08:15:57 EDT
This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 5 Prasad J Pandit 2015-09-15 08:17:16 EDT
Acknowledgements:

This issue was discovered by Qinghao Tang of QIHU 360 Inc.
Comment 6 Prasad J Pandit 2015-09-15 09:27:00 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1263281]
Comment 7 Prasad J Pandit 2015-09-15 09:32:19 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1263284]
Comment 8 Fedora Update System 2015-09-24 01:09:08 EDT
qemu-2.4.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-03 13:34:24 EDT
xen-4.5.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-04 18:50:23 EDT
xen-4.5.1-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-04 19:19:37 EDT
xen-4.4.3-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-09 06:29:18 EDT
qemu-2.3.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-09 07:21:00 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.